Skip to main content
`Ctrl`+`K`

# DMMoabGenerateHierarchy

Generate a multi-level uniform refinement hierarchy by succesively refining a coarse mesh, already defined in the `DM` object provided by the user.

## Synopsis

    PetscErrorCode DMMoabGenerateHierarchy(DM dm, PetscInt nlevels, PetscInt *ldegrees)

Collective

## Input Parameter

- dm - The `DMMOAB` object

## Output Parameters

- nlevels - The number of levels of refinement needed to generate the hierarchy

- ldegrees - The degree of refinement at each level in the hierarchy

## See Also

`DMMoabCreate()`

## Level

beginner

## Location

src/dm/impls/moab/dmmbmg.cxx

## Examples

src/ksp/ksp/tutorials/ex36.cxx
src/ksp/ksp/tutorials/ex35.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages